# $Revision: 1.179 $, $Date: 2010/03/08 13:29:18 $
#
# Conditional build:
%bcond_without	alsa	# disable ALSA support
%bcond_with	nas	# enable NAS support
%bcond_without	esd	# disable esound support
%bcond_without	hidden_visibility	# pass '--fvisibility=hidden' & '--fvisibility-inlines-hidden' to g++
#
%define		_state		stable
%define		_kdever		3.5.10

Summary:	aRts sound server
Summary(pl.UTF-8):	Serwer dźwięku
Summary(pt_BR.UTF-8):	Servidor de sons usado pelo KDE
Name:		arts
Version:	1.5.10
Release:	13
Epoch:		13
License:	LGPL
Group:		Libraries
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{_kdever}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	6da172aab2a4a44929b5fdfc30fa3efc
#Patch100:	%{name}-branch.diff
Patch0:		%{name}-libs.patch
Patch1:		kde-ac260-lt.patch
Patch2:		%{name}-extension_loader.patch
Patch3:		%{name}-gcc43.patch
Patch4:		%{name}-fortify.patch
Patch5:		kde-am.patch
Patch6:		%{name}-ac.patch
URL:		http://www.arts-project.org/
%{?with_alsa:BuildRequires:	alsa-lib-devel}
BuildRequires:	audiofile-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	docbook-utils >= 0.6.14
%{?with_esd:BuildRequires:	esound-devel}
%{?with_hidden_visibility:BuildRequires:	gcc-c++ >= 5:4.1.0-0.20051206r108118.1}
BuildRequires:	glib2-devel >= 2.0.0
BuildRequires:	jack-audio-connection-kit-devel
BuildRequires:	libmad-devel
BuildRequires:	libtool >= 2:1.5-2
BuildRequires:	libuuid-devel
BuildRequires:	libvorbis-devel
%{?with_nas:BuildRequires:	nas-devel}
BuildRequires:	pkgconfig
%{!?with_hidden_visibility:BuildRequires:	qt-devel >= 6:3.2.1-4}
%{?with_hidden_visibility:BuildRequires:	qt-devel >= 6:3.3.5.051113-1}
Obsoletes:	arts-glib
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Analog Real-Time Synthesizer, or aRts, is a modular system for
synthesizing sound and music on a digital computer. Using small
building blocks called modules, the user can easily build complex
audio processing tools. Modules typically provide functions such as
sound waveform generators, filters, audio effects, mixing, and
playback of digital audio in different file formats. The artsd sound
server mixes audio from several sources in real time, allowing
multiple sound applications to transparently share access to sound
hardware.

%description -l pl.UTF-8
Analog Real-Time Synthesizer (w skrócie aRts) to modularny system do
obsługi dźwięku i muzyki na komputerze. Za pomocą modułów użytkownik
może z powodzeniem budować kompleksowe narzędzia przetwarzania
dźwięku. Moduły umożliwiają generację kształtu fali, filtrowanie,
efekty audio, miksowanie oraz odtwarzanie dźwięku cyfrowego w różnych
formatach. Serwer dźwięku artsd umożliwia również jednoczesne
odtwarzanie dźwięku z wielu źródeł.

%description -l pt_BR.UTF-8
O aRts é um sintetizador analógico em tempo real que é completamente
modular. Você pode criar sons e músicas (síntese em tempo real de
midi) usando pequenos módulos como oscilador para criar waveforms,
vários filtros, mixers, faders, etc. Você pode configurar tudo através
de uma interface no KDE. O Servidor aRts é controlado via CORBA. Este
design foi escolhido para permitir que outras aplicações usem o aRts
como um sintetizador (ou fornecedor de filtros). Usado pelo KDE, entre
outros.

%package devel
Summary:	Sound server - header files
Summary(pl.UTF-8):	Serwer dźwięku - pliki nagłówkowe
Summary(pt_BR.UTF-8):	Arquivos para desenvolvimento com o o aRts
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
# not necessary for all libs (e.g. mcop), but propagated by artsflow
%{?with_alsa:Requires:	alsa-lib-devel}
Requires:	audiofile-devel
Requires:	esound-devel
Requires:	glib2-devel >= 2.0.0
Requires:	jack-audio-connection-kit-devel
Requires:	libmad-devel
Requires:	libvorbis-devel
%{?with_nas:Requires:	nas-devel}

%description devel
Header files required to compile programs using arts.

%description devel -l pl.UTF-8
Pliki nagłówkowe niezbędne do budowania aplikacji korzystających z
arts.

%description devel -l pt_BR.UTF-8
Arquivos para desenvolvimento com o o aRts.

# separate from arts-devel because they are mostly independent and have very
# different deps
# there is no artsc base - it would be small and would require arts - so
# there is no reason to separate
%package -n artsc-devel
Summary:	Development files for artsc libraries
Summary(pl.UTF-8):	Pliki programistyczne bibliotek artsc
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	glib2-devel >= 2.0.0
Conflicts:	arts-devel < 12:1.2.0.031126-2

%description -n artsc-devel
Development files for artsc libraries (C interface to aRts sound
system).

%description -n artsc-devel -l pl.UTF-8
Pliki programistyczne bibliotek artsc (interfejsu w C do systemu
dźwięku aRts).

%package X11
Summary:	X11 dependent part of aRts
Summary(pl.UTF-8):	Część aRts wymagająca X11
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description X11
X11 dependent part of aRts (x11globalcomm module).

%description X11 -l pl.UTF-8
Część aRts wymagająca X11 (moduł x11globalcomm).

%package qt
Summary:	Qt dependend part of aRts
Summary(pl.UTF-8):	Część aRts wymagająca Qt
Group:		X11/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	qt >= 6:3.2.1-4

%description qt
Qt dependend part of aRts (qtmcop library).

%description qt -l pl.UTF-8
Część aRts wymagająca Qt (biblioteka qtmcop).

%package qt-devel
Summary:	Development files for qtmcop library
Summary(pl.UTF-8):	Pliki programistyczne dla biblioteki qtmcop
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	%{name}-qt = %{epoch}:%{version}-%{release}
Requires:	qt-devel >= 6:3.2.1-4

%description qt-devel
Development files for qtmcop library.

%description qt-devel -l pl.UTF-8
Pliki programistyczne dla biblioteki qtmcop.

%prep
%setup -q
#%patch100 -p1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

find . -type f -name '*.mcopclass' | xargs %{__sed} -i -e 's:\.la::'

%build
cp -f /usr/share/automake/config.sub admin

%{__make} -f admin/Makefile.common cvs

%configure \
	%{!?with_nas:ac_cv_header_audio_audiolib_h=no} \
%if "%{_lib}" == "lib64"
	--enable-libsuffix=64 \
%endif
	--%{?debug:en}%{!?debug:dis}able-debug%{?debug:=full} \
	%{!?debug:--disable-rpath} \
	--disable-final \
	%{?with_hidden_visibility:--enable-gcc-hidden-visibility} \
	--with-qt-libraries=%{_libdir} \
	--with%{!?with_alsa:out}-alsa

%{__make} \
	CXXLD=%{_host_cpu}-%{_vendor}-%{_os}-g++ \
	CCLD=%{_host_cpu}-%{_vendor}-%{_os}-gcc

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# it seems to be only (lt_)dlopened, nothing links with it - so not needed
rm -f $RPM_BUILD_ROOT%{_libdir}/libx11globalcomm.{la,so}

# remove unwanted boost deps from .la
sed -i 's:-lboost_filesystem -lboost_regex::' $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	X11 -p /sbin/ldconfig
%postun	X11 -p /sbin/ldconfig

%post	qt -p /sbin/ldconfig
%postun	qt -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/artscat
%attr(755,root,root) %{_bindir}/artsd
%attr(755,root,root) %{_bindir}/artsdsp
%attr(755,root,root) %{_bindir}/artsplay
%attr(755,root,root) %{_bindir}/artsrec
%attr(755,root,root) %{_bindir}/artsshell
%attr(755,root,root) %{_bindir}/artswrapper
# shared libraries
%attr(755,root,root) %{_libdir}/libartsc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libartsc.so.0
%attr(755,root,root) %{_libdir}/libartsflow.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libartsflow.so.1
%attr(755,root,root) %{_libdir}/libartsflow_idl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libartsflow_idl.so.1
%attr(755,root,root) %{_libdir}/libgmcop.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgmcop.so.1
%attr(755,root,root) %{_libdir}/libkmedia2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkmedia2.so.1
%attr(755,root,root) %{_libdir}/libkmedia2_idl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkmedia2_idl.so.1
%attr(755,root,root) %{_libdir}/libmcop.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmcop.so.1
%attr(755,root,root) %{_libdir}/libmcop_mt.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmcop_mt.so.1
%attr(755,root,root) %{_libdir}/libsoundserver_idl.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsoundserver_idl.so.1
%attr(755,root,root) %{_libdir}/libartscbackend.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libartscbackend.so.0
%attr(755,root,root) %{_libdir}/libartsdsp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libartsdsp.so.0
%attr(755,root,root) %{_libdir}/libartsdsp_st.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libartsdsp_st.so.0
%attr(755,root,root) %{_libdir}/libartsgslplayobject.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libartsgslplayobject.so.0
%attr(755,root,root) %{_libdir}/libartswavplayobject.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libartswavplayobject.so.0
#
%{_libdir}/mcop
#%{_mandir}/man1/artscat.1*
#%{_mandir}/man1/artsd.1*
#%{_mandir}/man1/artsdsp.1*
#%{_mandir}/man1/artsplay.1*
#%{_mandir}/man1/artsrec.1*
#%{_mandir}/man1/artsshell.1*
#%{_mandir}/man1/artswrapper.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mcopidl
%{_includedir}/arts
%exclude %{_includedir}/arts/qiomanager.h
%{_libdir}/libartsflow.la
%attr(755,root,root) %{_libdir}/libartsflow.so
%{_libdir}/libartsflow_idl.la
%attr(755,root,root) %{_libdir}/libartsflow_idl.so
%{_libdir}/libartsgslplayobject.la
%attr(755,root,root) %{_libdir}/libartsgslplayobject.so
%{_libdir}/libartswavplayobject.la
%attr(755,root,root) %{_libdir}/libartswavplayobject.so
%{_libdir}/libgmcop.la
%attr(755,root,root) %{_libdir}/libgmcop.so
%{_libdir}/libkmedia2.la
%attr(755,root,root) %{_libdir}/libkmedia2.so
%{_libdir}/libkmedia2_idl.la
%attr(755,root,root) %{_libdir}/libkmedia2_idl.so
%{_libdir}/libmcop.la
%attr(755,root,root) %{_libdir}/libmcop.so
%{_libdir}/libmcop_mt.la
%attr(755,root,root) %{_libdir}/libmcop_mt.so
%{_libdir}/libsoundserver_idl.la
%attr(755,root,root) %{_libdir}/libsoundserver_idl.so
#%{_mandir}/man1/mcopidl.1*

%files -n artsc-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/artsc-config
%{_includedir}/artsc
%{_libdir}/libartsc.la
%attr(755,root,root) %{_libdir}/libartsc.so
%{_libdir}/libartscbackend.la
%attr(755,root,root) %{_libdir}/libartscbackend.so
%{_libdir}/libartsdsp.la
%attr(755,root,root) %{_libdir}/libartsdsp.so
%{_libdir}/libartsdsp_st.la
%attr(755,root,root) %{_libdir}/libartsdsp_st.so
#%{_mandir}/man1/artsc-config.1*

%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libx11globalcomm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libx11globalcomm.so.1

%files qt
%defattr(644,root,root,755)
# shared library
%attr(755,root,root) %{_libdir}/libqtmcop.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libqtmcop.so.1

%files qt-devel
%defattr(644,root,root,755)
%{_includedir}/arts/qiomanager.h
%{_libdir}/libqtmcop.la
%attr(755,root,root) %{_libdir}/libqtmcop.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: arts.spec,v $
Revision 1.179  2010/03/08 13:29:18  hawk
- release 13

Revision 1.178  2009/12/31 14:44:15  arekm
- rel 12; fix build

Revision 1.177  2009/12/31 08:56:18  arekm
- release 11

Revision 1.176  2009/08/28 22:47:21  arekm
- release 10

Revision 1.175  2009/06/21 11:54:28  hawk
- adjusted for automake 1.11, release 9

Revision 1.174  2009/06/21 11:40:58  hawk
- release 8

Revision 1.173  2009/06/17 14:09:46  hawk
- release 7

Revision 1.172  2009/03/13 23:42:06  hawk
- release 6

Revision 1.171  2009/02/04 16:39:38  hawk
- release 5

Revision 1.170  2009/01/27 21:40:50  hawk
- release 4

Revision 1.169  2008/11/06 15:22:46  pluto
- release 3 for rebuild with boost-1.37.0.

Revision 1.168  2008/08/22 14:40:16  qboosh
- sorted

Revision 1.167  2008/08/22 08:17:40  matkor
- Release 2.

Revision 1.166  2008/08/20 18:05:47  arekm
- up to 1.5.10

Revision 1.165  2008/06/14 20:24:40  arekm
- rel 5

Revision 1.164  2008-06-14 10:08:51  arekm
- rel 4

Revision 1.163  2008-04-29 14:57:27  pluto
- gcc-4.3 fix, release 3.

Revision 1.162  2008-04-29 14:06:06  pluto
- reorganize boost BRs (boost-devel >= 1.35.0).

Revision 1.161  2008-02-15 20:33:17  glen
- AC-branch merge

Revision 1.160  2008-02-14 07:35:51  arekm
- up to 1.5.9

Revision 1.159  2008-02-11 22:12:49  pluto
- extension_loader.patch updated, release 3.

Revision 1.158  2007-12-25 18:26:42  glen
- rel 2

Revision 1.157  2007-10-09 07:08:00  arekm
- up to 1.5.8

Revision 1.156  2007/07/26 17:17:22  pluto
- release 5 for rebuild with boost-1.34.1.

Revision 1.155  2007/06/20 23:31:58  pluto
- release 4 (boost is on the builders now).

Revision 1.154  2007/06/20 06:19:50  cieciwa
- release 3, (new boost)

Revision 1.153  2007/05/21 17:42:29  pluto
- release 2 / glibcxx-3.4.9 issue.

Revision 1.152  2007/05/14 15:26:36  arekm
- up to 1.5.7

Revision 1.151  2007/04/16 19:27:40  pluto
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl).
- release 3.

Revision 1.150  2007/02/15 12:37:16  pluto
- remove unwanted boost deps from .la

Revision 1.149  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.148  2007/02/12 00:48:38  baggins
- converted to UTF-8

Revision 1.147  2007/01/16 11:39:30  arekm
- up to 1.5.6

Revision 1.146  2007/01/09 19:41:23  pluto
- boosted extension loader works fine, release 3.

Revision 1.145  2007/01/06 08:36:13  pluto
- .la/.so layout updated, extension loader now prefer .so plugins.
  loader uses pure c++/boost engine 'coz arts-core doesn't use qt framework.
- release 2.1.

Revision 1.144  2006/12/24 12:11:45  arekm
- rel 2

Revision 1.143  2006/11/28 23:08:44  arekm
- turn off R: libtool()

Revision 1.142  2006/11/25 13:56:59  arekm
- add am patch

Revision 1.141  2006/11/25 13:56:23  arekm
- add ac patch

Revision 1.140  2006/11/25 13:27:14  arekm
- rel 1

Revision 1.139  2006/10/03 07:18:20  arekm
- kde 3.5.5 sources are on df now

Revision 1.138  2006/10/02 23:39:34  adgor
- 1.5.5. .hidden

Revision 1.137  2006/09/17 22:18:54  glen
- omit -L from arts-config

Revision 1.136  2006/09/10 16:31:48  adgor
- Updated branch-diff
- Rel. 3

Revision 1.135  2006/09/09 10:49:43  arekm
- rel 2; fix ac2.60

Revision 1.134  2006/07/31 11:29:10  arekm
- up to 1.5.4

Revision 1.133  2006/07/10 06:40:11  pluto
- fix autoconf detection, release 3.1.

Revision 1.132  2006/07/09 17:47:54  pluto
- release 3 for kill libpng.la deps.

Revision 1.131  2006/06/09 15:18:05  arekm
- rel 2; security fix

Revision 1.130  2006/05/25 07:45:10  arekm
- up to 1.5.3

Revision 1.129  2006/04/05 20:31:00  glen
- unify macros

Revision 1.128  2006/03/26 09:47:15  arekm
- up to 1.5.2, no manual pages in package unfortunately

Revision 1.127  2006/02/19 15:25:04  wolf
- enable hidden visibility, rel 2

Revision 1.126  2006/01/22 14:25:37  arekm
- up to 1.5.1

Revision 1.125  2005/12/28 03:49:30  pluto
- hidden visibility bcond, release 2.

Revision 1.124  2005/12/27 23:02:05  pluto
- disable-final (memory hog and no major optimizations).

Revision 1.123  2005/11/22 22:43:36  arekm
- rel 1

Revision 1.122  2005/11/21 14:57:06  arekm
- final tarball

Revision 1.121  2005/11/13 18:53:55  glen
- pass CXXLD and CCLD to make. fixes build with distcc. (or it's distcc problem?)

Revision 1.120  2005/11/12 22:55:27  arekm
- fix _kdever

Revision 1.119  2005/11/12 21:16:52  arekm
- up to 1.5.0rc1

Revision 1.118  2005/10/09 17:44:09  arekm
- rel 1

Revision 1.117  2005/10/06 13:56:25  arekm
- up to 1.4.3

Revision 1.116  2005/07/28 17:15:33  arekm
- rel 1

Revision 1.115  2005/07/21 12:54:50  arekm
- up to 1.4.2

Revision 1.114  2005/05/31 20:30:38  arekm
- rel 1

Revision 1.113  2005/05/25 23:27:42  arekm
- up to 1.4.1

Revision 1.112  2005/05/19 09:05:42  pluto
- -fvisibility-inlines-hidden reenabled.

Revision 1.111  2005/05/05 12:30:09  pluto
- disable -fvisibility-inlines-hidden due to gcc bugs.
  moreover libstdc++ headers need push/pop visibility attribute.
  now it builds/links on amd64/ppc fine.

Revision 1.110  2005/05/05 01:46:25  pluto
- bump release for rebuild without visibility bugs.

Revision 1.109  2005/05/04 08:24:46  pluto
- release 2 for Th.

Revision 1.108  2005/03/24 12:53:43  djurban
- rel 1, adde branch diff

Revision 1.107  2005/03/19 22:00:03  arekm
- BR: docbook-utils >= 0.6.14

Revision 1.106  2005/03/16 18:17:57  qboosh
- fixed _kdever; aren't these 3 macros redundant btw?

Revision 1.105  2005/03/16 16:49:23  arekm
- merged from DEVEL; changelog cut down

Revision 1.104  2004/12/12 23:21:15  ankry
- 1.3.2; thanks to Michal Kochanowicz

Revision 1.103  2004/12/09 22:57:47  qboosh
- removed redundant _ver macro, unified if

Revision 1.102.2.8  2005/03/09 23:08:51  pluto
- reverted.

Revision 1.102.2.7  2005/03/05 11:56:41  pluto
- back to 1.4.0rc1 (final wasn't released for public).

Revision 1.102.2.6  2005/03/04 21:59:14  arekm
- up to 1.4.0

Revision 1.102.2.5  2005/02/24 08:11:31  adgor
- No unsermake at now

Revision 1.102.2.4  2005/02/11 16:23:46  adgor
- Updated to 050210 snap because kdebase-3.3.92 does not build

Revision 1.102.2.3  2005/02/09 20:35:05  adgor
- 1.3.92

Revision 1.102.2.2  2005/01/14 13:37:08  wolf
- 1.3.91

Revision 1.104  2004/12/12 23:21:15  ankry
- 1.3.2; thanks to Michal Kochanowicz

Revision 1.103  2004/12/09 22:57:47  qboosh
- removed redundant _ver macro, unified if

Revision 1.102  2004/11/01 13:13:41  djurban
- rel. 2

Revision 1.101  2004/11/01 13:10:53  djurban
- begin libsuffixation of KDE, adding debug handling will need masss changes

Revision 1.100  2004/10/24 22:49:22  paladine
- QT->Qt
- spelling fixes

Revision 1.99  2004/10/14 17:54:26  arekm
- rel; fix url/ver

Revision 1.98  2004/10/06 21:44:11  arekm
- prerel 1.3.1
